Bug 57978 - initscripts-5.84.1-1 tries to raidstart undefined devices
initscripts-5.84.1-1 tries to raidstart undefined devices
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-04 02:41 EST by Chris Watt
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 15:42:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Watt 2002-01-04 02:41:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (Win98; U)

Description of problem:
A direct result of the fix to bug 51231 "Bug in GREP causes raid 
initialization to fail" appears to be that rc.sysinit now attempts to 
raidstart devices which are not actually defined in /etc/raidtab

Version-Release number of selected component (if applicable): 5.84.1-1


How reproducible:
Always

Steps to Reproduce:
1.Edit /etc/raidtab and insert a comment like, for example:
# sample raiddev configuration file
2. Reboot
	

Actual Results:  rc.sysinit will try to raidstart device "sample".

Expected Results:  rc.sysinit should ignore the comment line.

Additional info:
While I found this when looking for the source of a startup error message 
on a server running RHL 7.1, I believe that this bug occurrs in RHL 7.2 as 
well (it seems to use the same regular expression).

I would humbly suggest that you replace the line:
for i in `grep "^[^*]*raiddev" /etc/raidtab | awk '{print $2}'`
with the line:

for i in `grep "^[[:space:]]*raiddev" /etc/raidtab | awk '{print $2}'`
Which should, AFAICT, fix this without re-breaking 51231
Comment 1 Bill Nottingham 2005-02-22 15:42:18 EST
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response. Please reopen if it persists on current releases.

Note You need to log in before you can comment on or make changes to this bug.